package cn.com.tenlion.systembase.pojo.dtos.publicvideo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: PublicVideoDTO
 * @Description: 城乡社区公共安全视频监控
 * @Author: CodeFactory
 * @Date: 2021-10-13 16:53:02
 * @Version: 3.0
 **/
@ApiModel
public class PublicVideoDTO {

    @ApiModelProperty(name = "publicVideoId", value = "主键UUID")
    private String publicVideoId;
    @ApiModelProperty(name = "ruralName", value = "城乡社区名称")
    private String ruralName;
    @ApiModelProperty(name = "ruralPhone", value = "城乡社区联系方式")
    private String ruralPhone;
    @ApiModelProperty(name = "ruralArea", value = "城乡社区面积（平方米）")
    private Double ruralArea;
    @ApiModelProperty(name = "ruralPopulation", value = "城乡社区人口")
    private Integer ruralPopulation;
    @ApiModelProperty(name = "publicCamera", value = "公共安全视频监控摄像机总数")
    private Integer publicCamera;
    @ApiModelProperty(name = "hdCamera", value = "高清摄像机数量")
    private Integer hdCamera;
    @ApiModelProperty(name = "ruralCamera", value = "与乡镇（街道）视联网信息中心联网摄像机数量")
    private Integer ruralCamera;
    @ApiModelProperty(name = "dayCamera", value = "24小时值守摄像机数量")
    private Integer dayCamera;
    @ApiModelProperty(name = "squareCamera", value = "每平方公里视频监控摄像机数量")
    private Integer squareCamera;
    @ApiModelProperty(name = "hundredCamera", value = "每白人视频监控摄像机数量")
    private Integer hundredCamera;
    @ApiModelProperty(name = "location", value = "所在地")
    private String location;
    @ApiModelProperty(name = "locationCode", value = "所在地编码")
    private String locationCode;
    @ApiModelProperty(name = "grid", value = "所属网格")
    private String grid;
    @ApiModelProperty(name = "gridName", value = "所属网格")
    private String gridName;

    public String getPublicVideoId() {
        return publicVideoId == null ? "" : publicVideoId.trim();
    }

    public void setPublicVideoId(String publicVideoId) {
        this.publicVideoId = publicVideoId;
    }

    public String getRuralName() {
        return ruralName == null ? "" : ruralName.trim();
    }

    public void setRuralName(String ruralName) {
        this.ruralName = ruralName;
    }

    public String getRuralPhone() {
        return ruralPhone == null ? "" : ruralPhone.trim();
    }

    public void setRuralPhone(String ruralPhone) {
        this.ruralPhone = ruralPhone;
    }

    public Double getRuralArea() {
        return ruralArea == null ? 0D : ruralArea;
    }

    public void setRuralArea(Double ruralArea) {
        this.ruralArea = ruralArea;
    }

    public Integer getRuralPopulation() {
        return ruralPopulation == null ? 0 : ruralPopulation;
    }

    public void setRuralPopulation(Integer ruralPopulation) {
        this.ruralPopulation = ruralPopulation;
    }

    public Integer getPublicCamera() {
        return publicCamera == null ? 0 : publicCamera;
    }

    public void setPublicCamera(Integer publicCamera) {
        this.publicCamera = publicCamera;
    }

    public Integer getHdCamera() {
        return hdCamera == null ? 0 : hdCamera;
    }

    public void setHdCamera(Integer hdCamera) {
        this.hdCamera = hdCamera;
    }

    public Integer getRuralCamera() {
        return ruralCamera == null ? 0 : ruralCamera;
    }

    public void setRuralCamera(Integer ruralCamera) {
        this.ruralCamera = ruralCamera;
    }

    public Integer getDayCamera() {
        return dayCamera == null ? 0 : dayCamera;
    }

    public void setDayCamera(Integer dayCamera) {
        this.dayCamera = dayCamera;
    }

    public Integer getSquareCamera() {
        return squareCamera == null ? 0 : squareCamera;
    }

    public void setSquareCamera(Integer squareCamera) {
        this.squareCamera = squareCamera;
    }

    public Integer getHundredCamera() {
        return hundredCamera == null ? 0 : hundredCamera;
    }

    public void setHundredCamera(Integer hundredCamera) {
        this.hundredCamera = hundredCamera;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public String getGrid() {
        return grid;
    }

    public void setGrid(String grid) {
        this.grid = grid;
    }

    public String getGridName() {
        return gridName;
    }

    public void setGridName(String gridName) {
        this.gridName = gridName;
    }
}
